Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()>
<NavigationItem("GeneralStock")>
Public Class PacketMode
    Inherits BaseObject
    Private _ShortName As String
    Private _ShortName_Gb As String
    Private _Shortname_De As String
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property ShortName As String
        Get
            Return _ShortName

        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property ShortName_Gb As String
        Get
            Return _ShortName_Gb

        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName_Gb", _ShortName_Gb, value)
        End Set
    End Property
    Property ShortName_De As String
        Get
            Return _Shortname_De

        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName_De", _Shortname_De, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description

        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
End Class


